{% extends "base.html"%}
{% block main_content %}
<section id="user_list">
    <h1>All Users</h1>
    <table border="1">
  <tr>
    <th>id</th>
    <th>username</th>
    <th>Groups</th>
    <th>Actions</th>
  </tr>
   {% for o in object_list %}
  <tr>
    <td >{{ o.id }}</td>
    <td >{{ o.username }}</td>
    <td>
        <ul>
        {% for group in o.groups.all %}
        <li>{{ group }} </li>
        {% endfor %}
        </ul>
    </td>
    <td>
        <a class="editBtn" href="">Edit Details</a>
        <a class="modifyBtn" href="">Modify Groups</a>
        <a class="flagBtn" href="">Flag</a>
        <a class="warnBtn" href="">Warn</a>
        <a class="delBtn" href="">Delete</a>
    </td>
   {% endfor %}
  </tr>
</table>
</section>

{% endblock main_content %}